Bug 182772

Summary: graphics/aaphoto cannot be built because of the default clang compiler
Product: Ports & Packages Reporter: Andras Horvath <han>
Component: Individual Port(s)Assignee: Tijl Coosemans <tijl>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description Andras Horvath 2013-10-06 19:30:00 UTC
Note: this is a modified PR request within a couple of days, because I changed my patch for the port. Since the other PR hasn't been accepted yet. Please consider this as correct one.

The difference between the two is in the checking of what is the default compiler.

Link to the other PR:
http://www.freebsd.org/cgi/query-pr.cgi?pr=182649

The aaphoto software has the ability to scale on more processor cores by using the libgomp library. This is achieved by using the OpenMP pragma feature of the GCC (the Gnu Compiler Collection).

Since the default C compiler has been replaced with Clang in the base system which doesn't know of OpenMP, the compiler cannot build this port.

Fix: Removing the "-fopenmp -D__OPENMP__" C flags fixes the problem because the software will be built without this feature.

Also, the active source code maintenance has been moved from the original site to its Github repo. The Makefile is updated according to this as well.

This update brings a new version too which is a minor update with only tiny fixes and documentation update.


Patch attached with submission follows:
How-To-Repeat: cd /usr/ports/graphics/aaphoto
make
Comment 1 Andras Horvath 2013-10-18 13:20:26 UTC
Dear developers,

Could any of you kindly revise my patch to my port and apply it?

Thanks.

Andras


On Sun, 6 Oct 2013 18:30:00 GMT
FreeBSD-gnats-submit@FreeBSD.org wrote:

> Thank you very much for your problem report.
> It has the internal identification `ports/182772'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs. 
> 
> You can access the state of your problem report at any time
> via this link:
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=182772
> 
> >Category:       ports
> >Responsible:    freebsd-ports-bugs
> >Synopsis:       graphics/aaphoto cannot be built because of the default clang compiler
> >Arrival-Date:   Sun Oct 06 18:30:00 UTC 2013
Comment 2 dfilter service freebsd_committer 2013-10-19 19:21:49 UTC
Author: tijl
Date: Sat Oct 19 18:21:40 2013
New Revision: 330922
URL: http://svnweb.freebsd.org/changeset/ports/330922

Log:
  - Update 0.43.1.
  - Disable openmp with clang.
  - Support staging.
  
  PR:		ports/182772
  Submitted by:	Andras Horvath <mail@log69.com> (maintainer)

Deleted:
  head/graphics/aaphoto/files/patch-aaphoto.c
Modified:
  head/graphics/aaphoto/Makefile   (contents, props changed)
  head/graphics/aaphoto/distinfo   (contents, props changed)
  head/graphics/aaphoto/files/patch-Makefile.in   (contents, props changed)
Directory Properties:
  head/graphics/aaphoto/pkg-descr   (props changed)

Modified: head/graphics/aaphoto/Makefile
==============================================================================
--- head/graphics/aaphoto/Makefile	Sat Oct 19 18:13:57 2013	(r330921)
+++ head/graphics/aaphoto/Makefile	Sat Oct 19 18:21:40 2013	(r330922)
@@ -2,50 +2,39 @@
 # $FreeBSD$
 
 PORTNAME=	aaphoto
-PORTVERSION=	0.41
-PORTREVISION=	1
+PORTVERSION=	0.43.1
 CATEGORIES=	graphics
-MASTER_SITES=	http://log69.com/downloads/
-DISTNAME=	${PORTNAME}_sources_v${PORTVERSION}
 
 MAINTAINER=	mail@log69.com
 COMMENT=	Auto Adjust Photo, automatic color correction of photos
 
-LIB_DEPENDS=	jasper:${PORTSDIR}/graphics/jasper \
-		jpeg:${PORTSDIR}/graphics/jpeg \
-		png15:${PORTSDIR}/graphics/png
-
 LICENSE=	GPLv3
 
-USE_AUTOTOOLS=	autoheader
+LIB_DEPENDS=	libjasper.so:${PORTSDIR}/graphics/jasper \
+		libjpeg.so:${PORTSDIR}/graphics/jpeg \
+		libpng15.so:${PORTSDIR}/graphics/png
+
+USE_GITHUB=	yes
+GH_ACCOUNT=	log69
+GH_COMMIT=	e566f9b
+GH_TAGNAME=	v${PORTVERSION}
+
 GNU_CONFIGURE=	yes
+USES=		compiler
+
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
-
 PLIST_FILES=	bin/aaphoto
-PORTDOCS=	AUTHORS ChangeLog COPYING COPYRIGHT INSTALL LICENSE \
-		NEWS README TODO
 
-NO_STAGE=	yes
 .include <bsd.port.pre.mk>
 
-.if (${ARCH} == "amd64" || ${ARCH} == "i386") && ${OSVERSION} >= 700000
+.if (${ARCH} == "amd64" || ${ARCH} == "i386") && ${OSVERSION} >= 700000 && \
+	${COMPILER_TYPE} == gcc
 CFLAGS+=	-fopenmp -D__OPENMP__
 .endif
 
 do-install:
-.for FILE in aaphoto
-	${INSTALL_PROGRAM} ${WRKSRC}/${FILE} ${PREFIX}/bin
-.endfor
-
-post-install:
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
-.for i in ${PORTDOCS}
-	${INSTALL_DATA} ${WRKSRC}/${i} ${DOCSDIR}
-.endfor
-.endif
+	${INSTALL_PROGRAM} ${WRKSRC}/aaphoto ${STAGEDIR}${PREFIX}/bin
 
 .include <bsd.port.post.mk>

Modified: head/graphics/aaphoto/distinfo
==============================================================================
--- head/graphics/aaphoto/distinfo	Sat Oct 19 18:13:57 2013	(r330921)
+++ head/graphics/aaphoto/distinfo	Sat Oct 19 18:21:40 2013	(r330922)
@@ -1,2 +1,2 @@
-SHA256 (aaphoto_sources_v0.41.tar.gz) = f101ff954bcca194550f35acdcaac8e4b36df072a1c5406e73f2d3bab30d38cb
-SIZE (aaphoto_sources_v0.41.tar.gz) = 138407
+SHA256 (aaphoto-0.43.1.tar.gz) = 75c9ae7232411cf1ff83ebbe5acb9c817b5490cef08ce14cc2bd03097e7936e0
+SIZE (aaphoto-0.43.1.tar.gz) = 135277

Modified: head/graphics/aaphoto/files/patch-Makefile.in
==============================================================================
--- head/graphics/aaphoto/files/patch-Makefile.in	Sat Oct 19 18:13:57 2013	(r330921)
+++ head/graphics/aaphoto/files/patch-Makefile.in	Sat Oct 19 18:21:40 2013	(r330922)
@@ -6,7 +6,7 @@
  top_srcdir = @top_srcdir@
 -AM_CFLAGS = -Wall -O2 -D__OPENMP__ -fopenmp
 -AM_LDFLAGS = -ljasper -ljpeg -lpng -lm -lgomp
-+AM_CFLAGS = -Wall -O2
++AM_CFLAGS = -Wall
 +AM_LDFLAGS = -ljasper -ljpeg -lpng -lm
  aaphoto_SOURCES = aaphoto.c
  INCLUDES = 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Tijl Coosemans freebsd_committer 2013-10-19 19:21:57 UTC
State Changed
From-To: open->closed

Modified patch committed in r330922. 


Comment 4 Tijl Coosemans freebsd_committer 2013-10-19 19:21:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tijl

Modified patch committed in r330922.